shared_mutex File Reference

Go to the source code of this file.

## Classes

class | std::shared_lock< _Mutex >
class | std::shared_timed_mutex

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_shared_mutex
#define | __glibcxx_want_shared_timed_mutex
#define | _GLIBCXX_SHARED_MUTEX

## Detailed Description

This is a Standard C++ Library header.

Definition in file shared_mutex.

## Macro Definition Documentation

## __glibcxx_want_shared_mutex

#define __glibcxx_want_shared_mutex

Definition at line 46 of file shared_mutex.

## __glibcxx_want_shared_timed_mutex

#define __glibcxx_want_shared_timed_mutex

Definition at line 47 of file shared_mutex.

## _GLIBCXX_SHARED_MUTEX

#define _GLIBCXX_SHARED_MUTEX

Definition at line 30 of file shared_mutex.